It seems that you're using an outdated browser. Some things may not work as they should (or don't work at all).
We suggest you upgrade newer and better browser like: Chrome, Firefox, Internet Explorer or Opera

×
From MaGog's work-in-progress logs:

22 games have an empty "Modes:" (i.e. single-player, multi-player, etc.) field:

Anomaly Defenders
BlazBlue Calamity Trigger
CLARC
Consortium: Master Edition, The
DROD 1 + 2 + 3
DROD RPG: Tendry's Tale
Democracy 3: Extremism [DLC]
Democracy 3: Social Engineering [DLC]
Desktop Dungeons
Desktop Dungeons Goatperson [DLC]
Don't Starve - Reign of Giants [DLC]
Eador. Masters of the Broken World - Allied Forces [DLC]
Escape Goat 2
Ethan: Meteor Hunter
F-117A Nighthawk Stealth Fighter 2.0
FRACT OSC
Giana Sisters: Rise of the Owlverlord
Gods Will Be Watching
Gods Will Be Watching: Special Edition Upgrade [DLC]
Gods Will Be Watching: Special Edition [Premium]
Gray Matter
Xenonauts
avatar
mrkgnao: From MaGog's work-in-progress logs:

[...]

I find it rather unlikely that so many games have suddenly developed XP and Vista compatibility out of the blue (sorry, out of the grey). As it now stands, every single game on GOG is XP and Vista compatible. Note that these changes are not reflected in the games' system requirements (e.g. Windforge still reads "Minimum system requirements - Windows 7 / 8...").
That's what I thought seeing all the XP & Vista compatibility additions. I still remember the discussion in the release thread of Dracula Trilogy about Win XP not being supported as there were issues with some graphics cards on that OS that prevented the games from running.
Did GOG stop marking games as updated?
Post edited September 03, 2014 by MIK0
avatar
MIK0: Did GOG stop marking games as updated?
No but I am not sure what's going on that you aren't seeing the updates. Please send us a Support ticket abot this, thanks :)
From MaGog's work-in-progress logs:

NOTE! CHANGED Tower of Guns, file_size: 655 MB ***TO*** 597 MB (this is the update reported by Judas on Aug 28).

For some reason, GOG has changed the cutoff at which it reports game sizes in GB (rather than MB) from the previous 1000 MB to 800 MB.
From MaGog's work-in-progress logs:

NOTE! CHANGED Machinarium: Collector's Edition, age_req: ESRB Rating: EVERYONE 10+ with Violence, Comic Mischief, Use of Tobacco. PEGI Rating: 7+ with Violence ***TO*** ESRB Rating: Everyone 10+ (with Comic Mischief, Use of Tobacco). PEGI Rating: 7+ (with Violence)
NOTE! CHANGED Sam & Max Beyond Time and Space, age_req: ESRB Rating: TEEN with Comic Mischief, Drug Reference, Mild Blood, Mild Language, Mild Suggestive Themes. PEGI Rating: 12+ with Bad Language, Violence ***TO*** ESRB Rating: Teen (with Comic Mischief, Drug Reference, Mild Blood, Mild Language, Mild Suggestive Themes). PEGI Rating: 12+ (with Violence, Bad Language, Violence)
NOTE! CHANGED Sam & Max Save the World, age_req: ESRB Rating: TEEN with Cartoon Violence, Crude Humor, Mild Language, Use of Alcohol and Tobacco. PEGI Rating: 12+ ***TO*** ESRB Rating: Teen (with Cartoon Violence, Crude Humor, Mild Language, Use of Alcohol and Tobacco). PEGI Rating: 12+ (with Bad Language)
NOTE! CHANGED Zork Anthology, The, age_req: ESRB Rating: TEEN with Use of Alcohol, Use of Tobacco ***TO*** ESRB Rating: Teen (with Violence, Use of Alcohol, Use of Tobacco)

NOTE! CHANGED Witcher 2: Assassins Of Kings, The, age_req: ESRB Rating: MATURE with Blood and Gore, Intense Violence, Nudity, Strong Language, Strong Sexual Content, Use of Drugs. PEGI Rating: 18 with Violence, Bad Language. USK Rating: 16+. BBFC Rating: 18 Contains Very Strong Language, Strong Sex and Bloody Violence. OFLC Rating: R16 Contains Violence, Offensive Language and Sex Scenes. ***TO*** ESRB Rating: Mature (with Blood and Gore, Intense Violence, Nudity, Strong Language, Strong Sexual Content, Use of Drugs). PEGI Rating: 18+ (with Bad Language, Violence)

Generally speaking, age rating/requirements handling has changed:
- GOG now displays either ESRB or PEGI (probably based on geography), not both.
- Information is now displayed twice (below the reviews and in the details section).
- However, GOG does not display a rating field in the details section if the rating does not contain any "(with [something])" text; in that case it only displays the graphic symbol below the reviews without any text (e.g. Capitalism 2).
- Finally, there's a bug whereby all games with an age rating of ESRB: TEEN show the ESRB symbol for "Early Childhood" rather than that for "Teen" (e.g. 7th Legion).

MaGog will display everything as best it can.
Post edited September 04, 2014 by mrkgnao
Divinity Original Sin optional launcher (TWAG launcher fork)

The Witcher 2 Linux (tarball)
At last! Thanks for the update.
Holy smeg, when did that happen?

Also, holy smeg, I'm so going to have to switch that to an XZ tarball when I eventually DL it. :|
avatar
MrPointless: Holy smeg, when did that happen?

Also, holy smeg, I'm so going to have to switch that to an XZ tarball when I eventually DL it. :|
Yeah. Please also vote here. See details in the comments there about potential size reduction.
Post edited September 04, 2014 by shmerl
avatar
MrPointless: Holy smeg, when did that happen?

Also, holy smeg, I'm so going to have to switch that to an XZ tarball when I eventually DL it. :|
avatar
shmerl: Yeah. Please also vote here. See details in the comments there about potential size reduction.
I did so when you last pointed me that way. :)
From MaGog's work-in-progress logs:

NOTE! CHANGED Wasteland 2 Digital Deluxe Edition [Upcoming], bonuses: ***TO*** Wasteland Avellone Novel (coming soon), Wasteland Novella 1 (coming soon), Wasteland Novella 2 (coming soon), Wasteland Novella 3 (coming soon), Official Soundtrack (coming soon), Concept Art Book (coming soon)

NOTE! CHANGED Witcher 2: Assassins Of Kings, The, os: Windows (XP, Vista, 7, 8) and Mac OS X (10.7.5 or newer) ***TO*** Windows (XP, Vista, 7, 8) and Mac OS X (10.7.5 or newer) and Linux (Ubuntu 14.04, Mint 17)
avatar
mrkgnao: From MaGog's work-in-progress logs:
Just an idea. Did you think about formatting that in standard diff syntax instead of saying "note changed" and etc?

Example:

-Witcher 2: Assassins Of Kings, The, os: Windows (XP, Vista, 7, 8) and Mac OS X (10.7.5 or newer)
+Windows (XP, Vista, 7, 8) and Mac OS X (10.7.5 or newer) and Linux (Ubuntu 14.04, Mint 17)

Highlighting of actual changed parts can be added as an enhancement.
Post edited September 05, 2014 by shmerl
avatar
mrkgnao: From MaGog's work-in-progress logs:
avatar
shmerl: Just an idea. Did you think about formatting that in standard diff syntax instead of saying "note changed" and etc?

Example:

-Witcher 2: Assassins Of Kings, The, os: Windows (XP, Vista, 7, 8) and Mac OS X (10.7.5 or newer)
+Windows (XP, Vista, 7, 8) and Mac OS X (10.7.5 or newer) and Linux (Ubuntu 14.04, Mint 17)

Highlighting of actual changed parts can be added as an enhancement.
These changes are a tiny portion of a large log (thousands of lines). I use the "NOTE! CHANGED" to easily find the changes.
From MaGog's work-in-progress logs:

NOTE! CHANGED Bionic Dues, sys_req_win: Windows XP SP 2/ Vista / 7 / 8, Processor: 1.6Ghz, Memory: 2 GB RAM, Graphics: Screen resolution at least 720px high, and 1024px wide, Hard Drive: 300 MB available space ***TO*** Windows XP / Vista / 7 / 8, Processor: 1.6Ghz, Memory: 2 GB RAM, Graphics: Screen resolution at least 720px high, and 1024px wide, Hard Drive: 300 MB available space

NOTE! CHANGED Last Federation, The, sys_req_win: Windows XP SP 2/ Vista / 7 / 8, Processor 2 GHz (Single Core) or 1.8 GHz (Dual Core), 1.5 GB RAM (2 GB recommended), 3D graphics card compatible with OpenGL 2.0 with a minimum of 256 MB RAM (ATI Radeon or NVIDIA Geforce recommended) and 1024 x 720 minimum resolution, 5 GB HDD, DirectX 9.0c compatible sound card, mouse, keyboard ***TO*** Windows XP / Vista / 7 / 8, Processor 2 GHz (Single Core) or 1.8 GHz (Dual Core), 1.5 GB RAM (2 GB recommended), 3D graphics card compatible with OpenGL 2.0 with a minimum of 256 MB RAM (ATI Radeon or NVIDIA Geforce recommended) and 1024 x 720 minimum resolution, 5 GB HDD, DirectX 9.0c compatible sound card, mouse, keyboard

NOTE! CHANGED Shattered Haven, sys_req_win: Windows XP SP 2/ Vista / 7 / 8, 1.8 GHz Processor, 512MB RAM (1 GB recommended), 3D graphics card compatible with DirectX 9.0c, 2GB HDD, Mouse, Keyboard ***TO*** Windows XP / Vista / 7 / 8, 1.8 GHz Processor, 512MB RAM (1 GB recommended), 3D graphics card compatible with DirectX 9.0c, 2GB HDD, Mouse, Keyboard

NOTE! CHANGED Crystal Caves, sys_req_mac: OS X 10.7.0 or later, Processor: Intel Core 2 Duo 2GHz+, Memory: 1GB of RAM Graphics: 64MB of video memory, Mouse, Keyboard ***TO*** OS X 10.6.8 or later, Processor: Intel Core 2 Duo 2GHz+, Memory: 1GB of RAM Graphics: 64MB of video memory, Mouse, Keyboard

NOTE! CHANGED Driftmoon, sys_req_win: Windows XP / Vista / 7 / 8, 1.8 GHz Processor, 1 GB RAM, 3D graphics card compatible with DirectX 9.0c, DirectX 9.0c compatible sound card, 2GB HDD, Mouse, Keyboard ***TO*** Windows XP / Vista / 7 / 8, 1.7 Ghz processor or better, 1 GB RAM, Radeon HD5450 or better (256MB+) compatible with DirectX 9.0c, DirectX9.0c compatible sound card, 500 MB of HD Space, Mouse, Keyboard, Recommended system requirements -, Windows XP / Vista / 7 / 8, 1.7 Ghz processor or better, 1 GB RAM, Radeon HD5450 or better (256MB+) compatible with DirectX 9.0c, DirectX9.0c compatible sound card, 500 MB of HD Space, Mouse, Keyboard

NOTE! CHANGED Gone Home, sys_req_win: Windows XP / Vista / 7 / 8, 1.80GHz Processor, 2GB Memory, Video card with 512MB of VRAM, 2GB HDD space, Mouse, Keyboard, NOTE: Intel HD Graphic 4000 NOT CURRENTLY SUPPORTED on Windows 8 ***TO*** Windows XP SP2/Vista/7/8, 1.80GHz Processor, 2GB Memory, Video card with 512MB of VRAM, 2GB HDD space, Mouse, Keyboard, NOTE: Intel HD Graphic 4000 NOT CURRENTLY SUPPORTED on Windows 8

NOTE! CHANGED Kingdom Rush, sys_req_linux: Ubuntu 14.04, Linux Mint 17, Dual Core CPU, 1 GB RAM, OpenGL 3.0 compliant graphics card with 512MB of video RAM, 1.5 GB available HD space, Mouse, Keyboard. Requires the following packages to be installed: libc6:i386 libasound2:i386 libasound2-data:i386 libasound2-plugins:i386 libgtk2.0-0:i386 libsdl2-2.0-0:i386 libsdl2-image-2.0-0:i386 libfreetype6:i386 libcurl3:i386 and dependencies ***TO*** Ubuntu 14.04, Linux Mint 17, Dual Core CPU, 1 GB RAM, OpenGL 3.0 compliant graphics card with 512MB of video RAM, 1.5 GB available HD space, Mouse, Keyboard

NOTE! CHANGED Quest for Infamy, sys_req_mac: OS X 10.7.0 or later, Processor: Intel Core 2 Duo 2GHz+, Memory: 1GB of RAM, Graphics: nVidia 8xxx Series or AMD 3xxx or 4xxx Intel HD 3xxx Series GPU. Additional notes: Secondary Mouse Click should be enabled ***TO*** [NONE]

NOTE! CHANGED Quest for Infamy, sys_req_linux: OS: Ubuntu 14.04, Linux Mint 17, Processor: 2.4 GHz Dual Core, Memory: 1 GB RAM, Graphics: Integrated GPUs after 2012 or better, Hard Drive: 2 GB HDD space ***TO*** [NONE]

NOTE! CHANGED Race the Sun, sys_req_mac: [NONE] ***TO*** Mac OS X 10.6.8 or later, Dual Core Processor, 2 GB RAM, SM2.0 or later graphics card, 200 MB of available HD space

NOTE! CHANGED Witcher 2: Assassins Of Kings, The, sys_req_linux: [NONE] ***TO*** OS: Ubuntu 14.04 LTS, Linux Mint 17, Processor: Quad Core Intel, Memory: 4 GB RAM, Graphics: GeForce GT 640 1GB (1440x900, medium), Hard Drive: 25 GB HD space, , We recommend the following drivers:, nVidia - nvidia binary driver 331.38, 340.32 or later (343.13 beta has problems currently), AMD - fglrx binary driver 14.4 rev 2 or later, , MESA based drivers (e.g. nouveau, radeonsi) are not currently supported, Intel integrated graphics are not currently supported